import { Metadata } from 'next'
import { useTranslations } from 'next-intl'
import { getTranslations } from 'next-intl/server'

import { ComponentWidget } from '@/components/organisms'
import { DefaultLayout } from '@/components/templates'

export async function generateMetadata(): Promise<Metadata> {
	const t = await getTranslations('')

	return {
		title: t('seo.title')
	}
}

export default function HomePage() {
	const t = useTranslations()
	//
	return (
		<DefaultLayout title={t('home')}>
			<ComponentWidget />
		</DefaultLayout>
	)
}
